## org.exist.http.webdav
Class WebDAVMethodFactory

    java.lang.Object
      org.exist.http.webdav.WebDAVMethodFactory

public class WebDAVMethodFactory
extends java.lang.Object

Create a `WebDAVMethod` for the method specified in the HTTP request.

Author:
  wolf

Method Summary
`WebDAVMethod` `create(java.lang.String method, BrokerPool pool)`
`static WebDAVMethodFactory` `getInstance()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static WebDAVMethodFactory getInstance()

### create

    public WebDAVMethod create(java.lang.String method,
                               BrokerPool pool)

Copyright (C) Wolfgang Meier. All rights reserved.